Bug 239967 - Crontab misinterprets Sat-Sun for days
Summary: Crontab misinterprets Sat-Sun for days
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: crontabs   
(Show other bugs)
Version: 4.5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Marcela Mašláňová
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-13 15:25 UTC by Thomas Schwanhäuser
Modified: 2007-11-17 01:14 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-15 10:36:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thomas Schwanhäuser 2007-05-13 15:25:35 UTC
Description of problem:

One can not specify a job to be run on Saturdays and Sundays with "Sat-Sun",
although specifing a job with "6-7" works fine.


Version-Release number of selected component (if applicable):

crontab: ISC Cron V4.1

How reproducible:

always

Steps to Reproduce:

1. edit crontab file with "crontab -e", add a new job line like

15 15 * * 6-7 <any command>

Save the file. --> Works as expected



2. edit crontab file with "crontab - e", add a new job line 

15 15 * * Mon-Fri <any command>


Save the file. --> Works as expected


3. edit crontab file with "crontab - e", add a new job line 

15 15 * * Sat-Sun <any command>


Save the file. --> Error:

"/tmp/crontab.XXXXwZB0Kv":45: bad day-of-week
errors in crontab file, can't install.

  
Actual results:

rejected

Expected results:

to be accepted and job performed every Saturday and Sunday

Comment 1 Marcela Mašláňová 2007-05-15 10:36:06 UTC
Hello,
in Europe we're using day of week Monday, Tuesday, ..., Sunday, but in USA are
using Sunday, Monday,... so it's impossible for cron to do jobs from Sunday to
Saturday. 
I'm suggesting: 
15 15 * * sat,sun <some job>

Regards,
Marcela


Note You need to log in before you can comment on or make changes to this bug.